Subject: Re: [bug#71121] [PATCH v2 3/3] gnu: librewolf: Update to 126.0-1.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 01 Jun 2024 07:33:27 -0400

Hi Ian,

Ian Eure <[email-masked]> writes:

> * gnu/packages/librewolf.scm (librewolf): Update to 126.0-1.  Fixes
> CVE-2024-4367, CVE-2024-4764, CVE-2024-4765, CVE-2024-4766, CVE-2024-4767,
> CVE-2024-4768, CVE-2024-4769, CVE-2024-4770, CVE-2024-4771, CVE-2024-4772,
> CVE-2024-4773, CVE-2024-4774, CVE-2024-4775, CVE-2024-4776, CVE-2024-4777,
> CVE-2024-4778.
>
> Change-Id: Iec010e516651588da389f747074cbd10f8c14377

I've moved some of the commit message explanations to match the
following template:

--8<---------------cut here---------------start------------->8---
$summary

$rationale/explanations

$gnu-changelog
--8<---------------cut here---------------end--------------->8---

along with some trivial adjustments, tested it could build reproducibly*
and pushed.  Thank you for your work on this fine browser!

* as mentioned on IRC I did notice the build failing
non-deterministically when using a monstrous number of cores such as
180; that seems to be a shortcoming of cargo and/or the firefox build
system.

-- 
Thanks,
Maxim